#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

ll dp[1005][1005];
int k;

void stampajred(int y,int x)
{
    for(int i=1;i<=x;i++)
    {
        cout << i << " " << y << "\n";
    }
}

int main() 
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin >> k;
    
    if(k<=10)
    {
        if(k==1) 
        { 
            cout << 3 << "\n";
            stampajred(1,3);
        }
        else if(k==2)
        {
            cout << 6 << "\n";
            stampajred(1,3);
            stampajred(2,3);
        }
        else if(k==3)
        {
            cout << 7 << "\n";
            stampajred(1,3);
            stampajred(2,3);
            stampajred(4,1);
        }
        else if(k==4)
        {
            cout << 4 << "\n";
            stampajred(1,4);
        }
        else if(k==5)
        {
            cout << 6 << "\n";
            stampajred(1,4);
            cout << 1 << " " << 2 << "\n";
            cout << 1 << " " << 3;
        }
        else if(k==6)
        {
            cout << 8 << "\n";
            stampajred(1,4);
            stampajred(2,3);
            stampajred(5,1);
        }
        else if(k==7)
        {
            cout << 8 << "\n";
            stampajred(1,4);
            stampajred(2,3);
            stampajred(3,1);
        }
        else if(k==8)
        {
            cout << 9 << "\n";
            stampajred(1,3);
            stampajred(2,3);
            stampajred(3,3);
        }
        else if(k==9)
        {
            cout << 9 << "\n";
            stampajred(1,4);
            stampajred(2,3);
            stampajred(3,2);
        }
        else
        {
            cout << 5 << "\n";
            stampajred(1,5);   
        }
    }
   
    
    return 0;
}